QIMA Logo
API Reference

8 categories • 44 endpoints

  • All APIs

    44


  • Parameter
    v1.0.0

    Get all product families

    Request

    Query Parameters
    NameTypeLocationRequiredDescription
    refreshstringqueryNoSend false when using server cache is fine
    Responses

    200
    Expected data returned

    Content-Type: application/json

    message
    string
    FieldTypeDescription
    messagestring
    FieldTypeDescription
    idstring
    categoryNamestring
    categoryIdstring
    namestring
    {
      "message": null,
      "content": [
        {
          "id": "bigCat8_s6",
          "categoryName": null,
          "categoryId": "bigCat8",
          "name": "Plastic food containers"
        },
        {
          "id": "bigCat6_s7",
          "categoryName": null,
          "categoryId": "bigCat6",
          "name": "Home textile "
        }
      ]
    }

    Content-Type: application/json

    GET
    /parameter/v2/product-families
    Request samples

    application/json

    {}

    Response samples

    application/json

    { "message": null, "content": [ { "id": "bigCat8_s6", "categoryName": null, "categoryId": "bigCat8", "name": "Plastic food containers" }, { "id": "bigCat6_s7", "categoryName": null, "categoryId": "bigCat6", "name": "Home textile " } ] }